Name:           rcssbase
Version:        12.1.1
Release:        1%{?dist}
Summary:        Robocup 2D Soccer Simulation Base Library

Group:          Development/Libraries
# %%{_bindir}/rcssmodtest is licensed under GPLv2+, others
# are under LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://sourceforge.net/projects/sserver/
Source0:        http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz
Patch0:         %{name}-12.1.0-libfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake libtool boost-devel zlib-devel libtool-ltdl-devel

%description
The RoboCup Soccer Simulator Server (rcssserver) is a research and educational
tool for mutli-agent systems and artificial intelligence. It allows 11
simulated autonomous robotic players to play soccer (football).

This package provides base libraries used by different simulation server
packages. Also, people who write agents for the server might find
these libraries useful. You should install this package if you want to run
such agents.

%package        devel
Summary:        Header files and libraries for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       boost-devel

%description    devel
This package contains the header files and libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
%patch0 -p1 -b .libfix
find -name "*.cpp" -exec chmod a-x {} \;
find -name "*.hpp" -exec chmod a-x {} \;
sed -i.lib \
    -e 's|\$ac_boost_path/lib|\$libdir|' \
    -e 's|$ac_boost_path_tmp/lib|\$libdir|' \
    m4/ax_boost_base.m4
autoreconf --install -f
# Fix rpath
sed -i.rpath -e '/sys_lib_search_path_spec/s| /usr/lib| /lib64 /usr/lib64 /usr/lib|' \
    configure

%build
%configure
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_libdir}/*.la
rmdir %{buildroot}/%{_libdir}/%{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING.LESSER NEWS PLATFORMS README 
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/%{name}

%changelog
* Mon Aug 04 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.1-1
- Updated to the latest release version

* Wed Jul 30 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-2
(Thanks to Mamoru Tasaka for his advices)
- Fixed the license tag to include GPLv2+
- Use $libdir in ax_boost_base.m4
- Added -f to autoreconf
- Added zlib-devel and libtool-ltdl-devel to BuildRequires section
- Removed CPPROG section
- Added rpath fix for 64 bit architectures

* Fri Jul 11 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-2
- Moved autoreconf to prep section

* Fri Jul 11 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-1
- Using separate patch files for different fixes

* Fri Jul 04 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-1
- Initial version
